# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-compile-resources /usr/bin/xml2-config gcc-c++ libX11-devel pkgconfig(libxml-2.0) zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define oname	terminatorX

Name:		terminatorx
Summary:	Realtime audio synthesizer
Version:	4.2.0
Release:	alt1_1
Group:		Sound
License:	GPLv2
Url:		https://terminatorx.org/
Source0:	https://terminatorx.org/dist/terminatorX-%{version}.tar.gz
BuildRequires:	ladspa_sdk
BuildRequires:	itstool
BuildRequires:	mpg123
BuildRequires:	sox-base
BuildRequires:	vorbis-tools
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(xxf86dga)
Requires:	mpg123
Requires:	sox-base
Requires:	vorbis-tools
Requires:	ladspa_sdk
Source44: import.info

%description
terminatorX allows a.'scratchinga.' on digitally sampled audio data (*.wav, *.au,
*.ogg, *.mp3, etc.) the way hip-hop-DJs scratch on vinyl records. It features
multiple turntables, realtime effects (built-in as well as LADSPA plugin
effects), a sequencer and MIDI interface a.. all accessible through an
easy-to-use gtk+ GUI.

%prep
%setup -qn %{oname}-%{version}

%build
%configure

%make_build

%install
%makeinstall_std

%files
%doc ChangeLog NEWS README*
%{_bindir}/terminatorX
%{_datadir}/applications/terminatorX.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/terminatorX.1*
%{_datadir}/mime-info/terminatorX.*
%{_datadir}/help/C/%{oname}-manual/
%{_datadir}/appdata/terminatorX.appdata.xml
%{_datadir}/pixmaps/terminatorX.xpm


%changelog
* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 4.2.0-alt1_1
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 4.0.1-alt1_5
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_4
- update by mgaimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_2
- update by mgaimport

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1_1
- new version

* Tue May 24 2011 Repocop Q. A. Robot <repocop@altlinux.org> 3.83-alt2.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * freedesktop-desktop-file-proposed-patch for terminatorx

* Wed Mar 09 2011 Vladimir Lettiev <crux@altlinux.ru> 3.83-alt2
- updated buildreqs

* Wed Feb 09 2011 Vladimir Lettiev <crux@altlinux.ru> 3.83-alt1
- initial build

